#include <clippy/clippy.hpp>

#include <utils/parametres.hpp>

#include <iostream>
#include <vector>

void Clippy::Run(const std::vector<std::string>& args) {
  TryExecuteClippyCommand(args);
}

bool Clippy::TryExecuteClippyCommand(const std::vector<std::string>& args) {
  using namespace utils::parametres;
  if (CheckPatternParametres(args, Parameter::Skip, "help",
                             Parameter::Anything)) {
    std::cout << "Hello I'm clippy" << std::endl;
    std::cout << "Parametres: { ";
    for (size_t i = 0; i < args.size(); ++i) {
      std::cout << args[i] << (i + 1 == args.size() ? "" : ",") << " ";
    }
    std::cout << "}" << std::endl;
  }

  return false;
}
